init:
    # Position the navigation on the right side of the screen.
    $ style.gallery_nav_frame.xpos = 800 - 10
    $ style.gallery_nav_frame.xanchor = 1.0
    $ style.gallery_nav_frame.ypos = 12

    # Add the gallery to the main menu.

# The entry point to the gallery code.

label gallery:
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "gallery_locked.png"

        # The background of a locked image.
        g.locked_background = "Lobby_by_JinzouTamashii.jpg"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "gallery_hover.png"
        g.idle_border = "gallery_idle.png"

        # An images used as the background of the various gallery pages.
        g.background = "Lobby_by_JinzouTamashii.jpg"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # The upper left corner of the gird is at xpos 10, ypos 20.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 4), (10, 12), (160, 124))

        # Show the background page.
        g.page("Backgrounds")

        
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        
        #
        g.button("tnautumnsroom.png")
        g.unlock_image("bg autumnsroom")
        
        g.button("tnnadiyashouse.png")
        g.unlock_image("bg nadiyashouse")
        
        g.button("tnstreet.png")
        g.unlock_image("bg street")
        
        g.button("tnpizzeria.png")
        g.unlock_image("bg pizzeria")
        
        g.button("tnsierra.png")
        g.unlock_image("bg sierra")
        
        g.button("tnbgcell.png")
        g.unlock_image("bg cell")
        
        g.button("tnhotel.png")
        g.unlock_image("bg hotel")
        
        g.button("tnnightstreet.png")
        g.unlock_image("bg night street")
        
        ##Caro: So the "display" thing means to display it without conditions, while the others say you have to unlock stuff?
        # This shows a displayable...
        #g.unlock_image("gallery_locked.png")
        
        # ... if all prior images have been show.
        #g.allprior()

        g.page("CGs")
        g.button("tncg1.png")
        g.unlock_image("cg1")
        
        g.button("tncg2.png")
        g.unlock_image("cg2")
        g.unlock_image("cg3")
        g.unlock_image("cg4")
        
        g.button("tncg5.png")
        g.unlock_image("cg5")
        
        g.button("tncg6.png")
        g.unlock_image("cg6")
        
        g.button("tncg7.png")
        g.unlock_image("cg7")
        
        g.button("tncg8.png")
        g.unlock_image("cg8")
        g.unlock_image("cg9")
        
        g.button("tncg0.png")
        g.image("cg0 textless")
        g.image("cg0 draft")


        # We can use g.page to introduce a second page.
        g.page("Sprites")

        g.button("tnJude.png")
        g.image("bg hotel", "jude snarky")
        g.image("bg hotel", "jude frown")
        g.image("bg hotel", "jude confused")
        g.unlock_image("bg hotel", "jude neutral")
        g.unlock_image("bg hotel", "jude off")
        
        g.button("tnElly.png")
        g.unlock_image("bg autumnsroom", "elly grin")
        g.unlock_image("bg autumnsroom", "elly frown")
        g.unlock_image("bg autumnsroom", "elly frown2")
        g.unlock_image("bg autumnsroom", "elly smile")
        g.unlock_image("bg autumnsroom", "elly smile2")
        g.unlock_image("bg autumnsroom", "elly gasp")
        g.unlock_image("bg autumnsroom", "elly upset")
        g.unlock_image("bg autumnsroom", "elly off")
        
        g.button("tnEIJ.png")
        g.unlock_image("bg night street", "jude egrin")
        g.unlock_image("bg night street", "jude egasp")
        g.unlock_image("bg night street", "jude esmile")
        g.unlock_image("bg night street", "jude efrown")
        
        g.button("tnNadiya.png")
        #show bg street
        g.unlock_image("bg street", "nadiya confused")
        g.unlock_image("bg street", "nadiya neutral")
        g.unlock_image("bg street", "nadiya smile")
        
        g.button("tnRick.png")
        #show nadiyashouse
        g.unlock_image("bg nadiyashouse", "rick nervous")
        g.unlock_image("bg nadiyashouse", "rick neutral")
        g.unlock_image("bg nadiyashouse", "rick smile")
        
        g.button("tnZoe.png")
        #show pizzeria
        g.unlock_image("bg pizzeria", "zoe smile")
        g.unlock_image("bg pizzeria", "zoe neutral")
        
        g.button("tnMarion.png")
        #show autumnsroom
        g.unlock_image("bg sierra", "mary")
        
        



        # Another page, this one for concept art.
        #g.page("Concept Art")

        #g.button("thumb_concepts.jpg")
        #
        # We can apply conditions to buttons as well as to images.
        # The "condition" condition checks an arbitrary expression.
        #g.condition("persistent.beat_game")
        #
        #g.unlock_image("concept1.jpg")
        #g.unlock_image("concept2.jpg")
        #g.unlock_image("concept3.jpg")


        # Now, show the gallery.
        g.show()

    return

